summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Robby Workman2012-09-28 03:20:20 +0200
committer Robby Workman2012-09-29 04:29:46 +0200
commitd0b25bf9faa18cdf0cfc0894bebe4e2d97f3a240 (patch)
treebedbb12ce9488989b711b3f01a2a9a3f2195e564 /office
parentdbb548f12d28982625fa8ad892b9dacfed7d5452 (diff)
downloadslackbuilds-d0b25bf9faa18cdf0cfc0894bebe4e2d97f3a240.tar.gz
office/moneydance: Updated for version 2012.820.
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/moneydance/moneydance.SlackBuild42
-rw-r--r--office/moneydance/moneydance.desktop12
-rw-r--r--office/moneydance/moneydance.info12
-rw-r--r--office/moneydance/slack-desc10
4 files changed, 47 insertions, 29 deletions
diff --git a/office/moneydance/moneydance.SlackBuild b/office/moneydance/moneydance.SlackBuild
index 9ec8352f6a..b98bfd9f00 100644
--- a/office/moneydance/moneydance.SlackBuild
+++ b/office/moneydance/moneydance.SlackBuild
@@ -2,7 +2,7 @@
#
# Slackware build script for moneydance
-# Copyright 2008-2011 Robby Workman, Northport, AL, USA
+# Copyright 2008-2012 Robby Workman, Northport, AL, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,34 +23,50 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=moneydance
-VERSION=2011_b803
+VERSION=${VERSION:-2012.820}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-ARCH=noarch # Leave this alone for moneydance
+case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+esac
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+if [ "$ARCH" = "i486" ]; then
+ MDARCH=x86
+elif [ "$ARCH" = "x86_64" ]; then
+ MDARCH=amd64
+else
+ printf "$ARCH is not supported.\n"; exit 1
+fi
+
set -e
rm -rf $PKG
mkdir -p $PKG/opt $OUTPUT
-tar xvf $CWD/moneydance_other.tar.gz -C $PKG/opt
+tar xvf $CWD/Moneydance_linux_${MDARCH}.tar.gz -C $PKG/opt
+
+mkdir -p $PKG/usr/bin
+ln -s /opt/Moneydance/Moneydance $PKG/usr/bin/moneydance
+ln -s /opt/Moneydance/Moneydance $PKG/usr/bin
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/moneydance.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
-install -D -m 0644 $CWD/moneydance.desktop \
- $PKG/usr/share/applications/$PRGNAM.desktop
-mkdir $PKG/usr/share/pixmaps
-( cd $PKG/usr/share/pixmaps ; ln -s ../../../opt/moneydance/moneydance.png . )
-( cd $PKG/usr/share/pixmaps ; ln -s ../../../opt/moneydance/moneydance.xpm . )
+mkdir -p $PKG/usr/share/pixmaps
+ln -s /opt/Moneydance/resources/moneydance_icon32.png \
+ $PKG/usr/share/pixmaps/$PRGNAM.png
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-( cd $PKG/usr/doc/$PRGNAM-$VERSION
- ln -s ../../../opt/moneydance/license.txt .
- cat $CWD/moneydance.SlackBuild > moneydance.SlackBuild
-)
+ln -s /opt/Moneydance/resources/license.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/office/moneydance/moneydance.desktop b/office/moneydance/moneydance.desktop
index eba79f9c70..de78406c0e 100644
--- a/office/moneydance/moneydance.desktop
+++ b/office/moneydance/moneydance.desktop
@@ -1,9 +1,11 @@
[Desktop Entry]
Version=1.0
Terminal=false
-Type=Application
-Categories=Office;Finance;
-Name=Moneydance
-Comment=Personal Finance Manager
-Exec=/bin/sh "/opt/moneydance/moneydance"
+Exec=moneydance
Icon=moneydance
+Type=Application
+Categories=Application;Office;
+StartupNotify=false
+Name=Moneydance Personal Finance Manager
+GenericName=Personal Finance Manager
+Comment=Manage your personal finances
diff --git a/office/moneydance/moneydance.info b/office/moneydance/moneydance.info
index 28f5cce248..28d256e5f8 100644
--- a/office/moneydance/moneydance.info
+++ b/office/moneydance/moneydance.info
@@ -1,10 +1,10 @@
PRGNAM="moneydance"
-VERSION="2011_b803"
+VERSION="2012"
HOMEPAGE="http://moneydance.com"
-DOWNLOAD="http://moneydance.com/download/2011/Unix/moneydance_other.tar.gz"
-MD5SUM="75530725f99ac612207234009d340846"
-DOWNLOAD_x86_64=""
-MD5SUM_x86_64=""
-REQUIRES="jdk"
+DOWNLOAD="http://infinitekind-md825.s3.amazonaws.com/Moneydance_linux_x86.tar.gz"
+MD5SUM="e2adb0424e7c339cd1c44bfc220b1651"
+DOWNLOAD_x86_64="http://infinitekind-md825.s3.amazonaws.com/Moneydance_linux_amd64.tar.gz"
+MD5SUM_x86_64="ac7e07994cdde822a9cecef4b211bca7"
+REQUIRES=""
MAINTAINER="Robby Workman"
EMAIL="rworkman@slackbuilds.org"
diff --git a/office/moneydance/slack-desc b/office/moneydance/slack-desc
index ca9e007c76..b1ae9895b8 100644
--- a/office/moneydance/slack-desc
+++ b/office/moneydance/slack-desc
@@ -1,9 +1,9 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
moneydance: Moneydance (Cross-platform Personal Finance Manager)